%define gstreamer_version	0.8.7
%define gstreamer_plugins_version	0.8.5

Summary: Movie player for GNOME 2
Name: totem
Version: 1.0.4
Release: 1 
License: GPL
Group: Applications/Multimedia
URL: http://www.hadess.net/totem.php3
Source0: http://ftp.gnome.org/pub/GNOME/sources/totem/0.99/totem-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Patch1: totem-0.99.19-feature-help-removal.patch

Requires(post): GConf2
Requires: gnome-desktop >= 2.6.0
Requires: gstreamer >= %gstreamer_version
Requires: gstreamer-plugins >= %gstreamer_plugins_version
BuildRequires: nautilus-cd-burner >= 2.8.1
BuildRequires: gcc-c++, pkgconfig, gettext, scrollkeeper
BuildRequires: gstreamer-devel >= %gstreamer_version
BuildRequires: gstreamer-plugins-devel >= %gstreamer_plugins_version
BuildRequires: gnome-desktop-devel >= 2.6.0, gnome-vfs2-devel, libglade2-devel
BuildRequires: perl-XML-Parser
BuildRequires: nautilus-cd-burner-devel >= 2.8.1

Obsoletes: nautilus-media

%description
Totem is simple movie player for the Gnome desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

%package devel
Summary: Libraries/include files for Totem.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gnome-vfs2-devel
Requires: libxml2-devel
Requires: gtk2-devel

%description devel
Totem is simple movie player for the Gnome desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

This package contains the libraries and includes files necessary to develop
applications with Totem's plparser library.


%prep
%setup -q
%patch1 -p1 -b .feature-help-removal

%build

%configure --enable-gstreamer --disable-lirc --disable-vanity --disable-mozilla --disable-nvtv

#apparently someone forgot to autogen before disting 0.99.17 :)
#perl -pi -e 's/gstvideowidget.h//g' src/Makefile

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
%find_lang %{name}

#nor vanity
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/vanity.png

# no static libs and libtool archives either
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`

SCHEMAS="totem.schemas totem-handlers.schemas totem-video-thumbnail.schemas" 

for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/$S \
     >/dev/null || :
done

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/%{name}/
%{_datadir}/pixmaps/media-player-48.png
%{_datadir}/%{name}/
%{_libdir}/libtotem-plparser.*
%{_libdir}/nautilus/extensions-1.0/*.so
%{_bindir}/%{name}-video-thumbnailer
%exclude %{_datadir}/%{name}/vanity.*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/totem-video-thumbnailer.1.gz

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}/1/plparser
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*so

%changelog
* Wed Jun 29 2005 John (J5) Palmieri <johnp@redhat.com> - 1.0.4-1
- Update to upstream version 1.0.4

* Tue May 17 2005 John (J5) Palmieri <johnp@redhat.com> - 1.0.2-1
- Update to upstream version 1.0.2 to fix minor bugs
- Register the thumbnail and handlers schemas

* Tue Feb 29 2005 John (J5) Palmieri <johnp@redhat.com> - 1.0.1-1
- Update to upstream version 1.0.1
- Break out devel package

* Mon Feb 21 2005 Bill Nottingham <notting@redhat.com> - 0.101-4
- fix %%post

* Wed Feb  2 2005 Matthias Clasen <mclasen@redhat.com> - 0.101-3
- Obsolete nautilus-media
- Install property page and thumbnailer

* Wed Feb  2 2005 Matthias Clasen <mclasen@redhat.com> - 0.101-2
- Update to 0.101
 
* Mon Jan 03 2005 Colin Walters <walters@redhat.com> - 0.100-2
- Grab patch totem-0.100-desktopfile.patch from CVS to fix
  missing menu entry (144088)
- Remove workaround for desktop file being misinstalled, fixed
  by above patch

* Mon Jan 03 2005 Colin Walters <walters@redhat.com> - 0.100-1
- New upstream version 0.100

* Sun Dec  5 2004 Bill Nottingham <notting@redhat.com> - 0.99.22-1
- update to 0.99.22

* Thu Oct 28 2004 Colin Walters <walters@redhat.com> - 0.99.19-2
- Add patch to remove removed items from package from help

* Thu Oct 14 2004 Colin Walters <walters@redhat.com> - 0.99.19-1
- New upstream 0.99.19
  - Fixes crasher with CD playback (see NEWS)

* Tue Oct 12 2004 Alexander Larsson <alexl@redhat.com> - 0.99.18-2
- Call update-desktop-database in post

* Tue Oct 12 2004 Alexander Larsson <alexl@redhat.com> - 0.99.18-1
- update to 0.99.18

* Wed Oct  6 2004 Alexander Larsson <alexl@redhat.com> - 
- Initial version, based on specfile by Matthias Saou <http://freshrpms.net/>

